> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Products

> A `POST` to the `/products/batch.json` endpoint allows your application to process products in batch.



## OpenAPI

````yaml post /v3/products/batch.json
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/products/batch.json:
    post:
      tags:
        - Product
      summary: Batch Products
      description: >-
        A `POST` to the `/products/batch.json` endpoint allows your application
        to process products in batch.
      operationId: product.batchJson
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/BatchProductJson'
                - type: object
                  properties:
                    import_job_id:
                      type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    const: Queued for processing.
                  batch_id:
                    type: string
                required:
                  - message
                  - batch_id
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    BatchProductJson:
      type: object
      properties:
        products:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              handle:
                type: string
              external_id:
                type:
                  - string
                  - 'null'
              status:
                type: string
                enum:
                  - new
                  - active
                  - rundown
                  - discontinued
                  - ranged
                  - deleted
                  - archived
                  - draft
              brand:
                type: string
              type:
                type:
                  - string
                  - 'null'
                enum:
                  - appointment
                  - simple
                  - configurable
                  - downloadable
                  - gift
                  - bundle
                  - voucher
                  - service
                  - subscription
              description:
                type:
                  - string
                  - 'null'
              currency:
                type:
                  - string
                  - 'null'
              position:
                type: integer
              systems:
                type: array
                items:
                  type: string
              channels:
                type: array
                items:
                  type: string
              tags:
                type: array
                items:
                  type: string
              department:
                type:
                  - string
                  - 'null'
              web_url:
                type:
                  - string
                  - 'null'
              images:
                type: array
                items:
                  type: object
                  properties:
                    url:
                      type: string
                    sort_order:
                      type:
                        - integer
                        - 'null'
                  required:
                    - url
              archive_existing_variants:
                type:
                  - boolean
                  - 'null'
              meta:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              variants:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type:
                        - integer
                        - 'null'
                    title:
                      type:
                        - string
                        - 'null'
                    sku:
                      type: string
                    description:
                      type:
                        - string
                        - 'null'
                    available_quantity:
                      type:
                        - integer
                        - 'null'
                    price:
                      type: number
                    images:
                      type: array
                      items:
                        type: object
                        properties:
                          url:
                            type: string
                          sort_order:
                            type:
                              - integer
                              - 'null'
                        required:
                          - url
                    price_discounted:
                      type:
                        - number
                        - 'null'
                    price_comparison:
                      type:
                        - number
                        - 'null'
                    price_cost:
                      type:
                        - number
                        - 'null'
                    position:
                      type: integer
                    tags:
                      type: array
                      items:
                        type: string
                      minItems: 1
                    options:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                          value:
                            type: string
                          sort_order:
                            type:
                              - integer
                              - 'null'
                        required:
                          - name
                          - value
                      minItems: 1
                    meta:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
              custom_fields:
                type: array
                items:
                  type: object
                  properties:
                    namespace:
                      type: string
                    handle:
                      type: string
                    type:
                      type: string
                      enum:
                        - string
                        - integer
                        - float
                        - boolean
                        - json
                        - array
                    value:
                      type: string
                  required:
                    - namespace
                    - handle
                    - type
                    - value
            required:
              - handle
          minItems: 1
          maxItems: 500
      required:
        - products
      title: BatchProductJson
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````